import fluid.command.ICommand;

/**
 * -----------------------------------------------------------------
 * Copyright (c) 2000-2006 Fluid, Inc. All Right Reserved.
 * This software is the proprietary information of Fluid, Inc.
 * Use is subject to strict licensing terms.
 * -----------------------------------------------------------------
 *
 * Commands extending AbstractAsynchronousCommand should implement this
 * interface. AbstractAsynchronousCommand will call the template method
 * <code>doExecute</code> on subclasses in response to it's <code>execute</code>
 * method being called.
 * 
 * @version $Revision: 1.3 $
 * @author $Author: ward $
 * 
 * @author Ward Ruth
 */
 
interface fluid.command.IConcreteCommand extends ICommand
{
	public function doExecute() : Void;
}